PLOTCHANGELOG(1)

BEZEICHNUNG
plotchangelog - zeichnet Debian-Changelogs

ÜBERSICHT
plotchangelog [Optionen] Changelog …

BESCHREIBUNG
plotchangelog ist ein Werkzeug, das hilft, ein Debian-Changelog zu veranschaulichen. Die Changelogs werden durch gnuplot(1) gezeichnet, wobei die X-Achse des Graphs die Zeit der Veröffentlichung des Pakets und die Y-Achse die Debian-Versionsnummer des Pakets anzeigt. Jede einzelne Veröffentlichung des Pakets wird durch einen Punkt dargestellt und die Punkte werden farbig kodiert, um anzuzeigen, wer diese Version des Pakets veröffentlichte. Der Graph kann ebenfalls mit der Versionsnummer der Originalautoren des Pakets beschriftet werden.

Alternativ kann die Y-Achse konfiguriert werden, um die Größe der Changelog-Einträge für jede neue Version anzuzeigen. Oder sie kann konfiguriert werden, um anzuzeigen, wieviele Fehler schätzungsweise für jede neue Version behoben wurden.

Beachten Sie, falls das Paket Debian-spezifisch ist, dass die ganze Paketversion für die Y-Achse verwendet wird. Dies funktioniert nicht immer perfekt.

DEN GRAPH LESEN
Die allgemeine Kontur eines Paket-Graphen ist typischerweise eine Serie von Spitzen, beginnend bei 1, steigend bis n und dann abrupt zu 1 zurückkehrend. Je höher die Höchstwerte, um so mehr Veröffentlichungen brachte der Paketbetreuer zwischen den neuen Paketversionen der Ursprungsautoren heraus. Falls es sich um ein reines Debian-Paket handelt, wird sein Graph nur nach oben wachsen ohne irgendwann abzufallen (allerdings kann ihn ein Fehler in diesem Programm manchmal zum Fallen veranlassen, falls sich die Versionsnummer von zum Beispiel 0.9 auf zum Beispiel 0.10 ändert – dies wird falsch interpretiert …)

Falls der Graph unter 1 sinkt, hat jemand ein NMU des Pakets und ein Upgrade auf eine neue Version der Ursprungsautoren durchgeführt, dadurch wird die Debian-Version auf 0 gesetzt. NMUs erscheinen im Allgemeinen als Unterpunkte wie 1.1, 2.1, etc. Ein NMU kann außerdem einfach festgestellt werden, indem die Punkte betrachtet werden, die für den Paketbetreuer stehen, der das Paket hochgeladen hat – ein einzelner Punkt eines anderen Typs, als der der Punkte davor und dahinter ist normalerweise ein NMU.

Es ist außerdem einfach, durch Ansehen der Punkte zu sagen, wann sich Betreuer eines Pakets ändern.

OPTIONEN

-l, --linecount
    nimmt statt der Debian-Versionsnummer als Y-Achse die Anzahl der Zeilen im Changelog-Eintrag für jede Version. Dies kann nicht zusammen mit --bugcount verwendet werden.

-b, --bugcount
    nimmt statt der Debian-Versionsnummer als Y-Achse die Anzahl der Fehler, die durch jeden Changelog-Eintrag geschlossen wurden. Beachten Sie, dass diese Zahl durch eine Suche nach »#dddd« im Changelog abgefragt wurde und daher ungenau sein kann. Dies kann nicht zusammen mit --linecount verwendet werden.

-c, --cumulative
    zeichnet, wenn es zusammen mit --bugcount oder --linecount benutzt wird, die Gesamtzahl statt der Anzahl in jedem einzelnen Changelog-Eintrag.

-v, --no-version
    zeigt nicht die Versionsbezeichnungen der Ursprungsautoren. Dies ist nützlich, falls der Graph zu voll wird.

-m, --no-maint
    unterscheidet nicht zwischen verschiedenen Betreuern des Pakets.

-s Datei, --save=Datei
    speichert den Graph im PostScript-Format in Datei, statt sie direkt anzuzeigen.

-u, --urgency
    benutzt größere Punkte, wenn Pakete mit höherer Dringlichkeit beim Hochladen angezeigt werden.

--verbose
    gibt (zu Fehlersuchzwecken) das Gnuplot-Skript aus, das in Gnuplot eingespeist wird.

-gBefehle, --gnuplot=Befehle
    Dies ermöglicht Ihnen, gnuplot(1)-Befehle in das Gnuplot-Skript einzufügen, das benutzt wird, um den Graph zu erzeugen. Die Befehle werden nach allen Initialisierungen aber bevor dem abschließenden Befehl plot platziert. Dies kann verwendet werden, um das durch dieses Programm vorgegebenes Aussehen auf beliebige Weise außer Kraft zu setzen. Sie können auch Dinge wie »set terminal png color« verwenden, um den Ausgabedateityp zu ändern, was in Verbindung mit der Option -s nützlich ist.

--help
    zeigt eine Zusammenfassung, wie es benutzt wird.

--version
    zeigt Version, Autor und Copyright-Informationen.

--noconf, --no-conf
    liest keine Konfigurationsdateien (siehe unten).

Changelog  …
    die Changelog-Dateien, die gezeichnet werden. Falls mehrere Dateien angegeben wurden, werden sie alle auf dem gleichen Graph angezeigt. Die Dateien können mit Gzip komprimiert sein. Jeglicher darin enthaltener Text, der nicht im Debian-Changelog-Format vorliegt, wird ignoriert.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden durch eine Shell in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Die Option --no-conf kann benutzt werden, um ein Lesen dieser Dateien zu verhindern. Wenn diese Konfigurationsdateien gelesen werden, werden Umgebungsvariablen ignoriert. Die derzeit bekannten Variablen sind:

PLOTCHANGELOG_OPTIONS
    Dies ist eine durch Kommas getrennte Liste von Optionen, die immer benutzt werden, zum Beispiel -l -b. Fügen Sie in diese Liste nicht -g oder --gnuplot ein, da dies ignoriert werden könnte; siehe stattdessen die nächste Variable.

PLOTCHANGELOG_GNUPLOT
    Dies sind gnuplot-Befehle, die allen derartigen auf der Befehlszeile angegebenen Befehlen vorangestellt werden.

SIEHE AUCH
devscripts.conf(5)

AUTOR
Joey Hess <joey@kitenet.net>

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.